AbstractCollection (Colt 1.2.0 - API Specification)
Keywords: cern.colt.list.AbstractCollection class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cern.colt.list
Class AbstractCollection

    java.lang.Object
      cern.colt.PersistentObject
          cern.colt.list.AbstractCollection

All Implemented Interfaces:
  Cloneable, Serializable

Direct Known Subclasses:
  AbstractList

public abstract class AbstractCollection
extends PersistentObject

Abstract base class for resizable collections holding objects or primitive data types such as `int`, `float`, etc. First see the package summary and javadoc tree view to get the broad picture.

Note that this implementation is not synchronized.

Version:
  1.0, 09/24/99
See Also:
  `ArrayList`, `Vector`, `Arrays`, Serialized Form

Field Summary

Fields inherited from class cern.colt.PersistentObject
`serialVersionUID`

Method Summary
`abstract void` | `clear()` Removes all elements from the receiver.
`boolean` | `isEmpty()` Tests if the receiver has no elements.
`abstract int` | `size()` Returns the number of elements contained in the receiver.
`abstract ArrayList` | `toList()` Returns a `java.util.ArrayList` containing all the elements in the receiver.
`String` | `toString()` Returns a string representation of the receiver, containing the String representation of each element.

Methods inherited from class cern.colt.PersistentObject
`clone`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### clear

    public abstract void clear()

  Removes all elements from the receiver. The receiver will be empty after this call returns.

### isEmpty

    public boolean isEmpty()

  Tests if the receiver has no elements.

  Returns:
    `true` if the receiver has no elements; `false` otherwise.

### size

    public abstract int size()

  Returns the number of elements contained in the receiver.

### toList

    public abstract ArrayList toList()

  Returns a `java.util.ArrayList` containing all the elements in the receiver.

### toString

    public String toString()

  Returns a string representation of the receiver, containing the String representation of each element.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jump to the Colt Homepage